package RevenueManagement.CrashCourse;

public class RobotKeeper
{
    //use an array of robots as a list
    Robot[] list;
    // current size of the list
    int size;
    // this keeps the unique instance of robot keeper
    static RobotKeeper instance;
    
    // populates a robot keeper with a certain capacity
    public RobotKeeper ( int capacity )
    {
        list = new Robot[ capacity ];
        size = 0;
        instance = this;
    }
    
    
    // adds a robot to the list if there is capacity
    public void addRobot ( Robot robot )
    {
        // if there is capacity add the robot and increment the size
        // so that the next added robot does not exceed the capacity
        if ( size < list.length )
        {
            list[ size ] = robot;
            size ++;
        }
    }
    
    
    // return the robot with a certain index
    public Robot getRobot ( int index )
    {
        return list[ index ];
    }
    
    
    // returns the unique instance of robot keeper
    public static RobotKeeper getInstance()
    {
        return instance;
    }
}
