package RevenueManagement.SingleLeg.General;

public class FareClassKeeper
{
    FareClass[] fcs;
    int size;
    static FareClassKeeper instance;

    public FareClassKeeper ( int noFareClasses )
    {
        // construct an array of fare classes
        fcs = new FareClass[ noFareClasses ];
        // initialize the number of fare classes kept to 0
        // as the fareclass are added, the size will go up
        size = 0;
        instance = this;
    }
    
    
    public void addFareClass ( FareClass fc )
    {
        // keep the added fare class at the size-th element of the array of fare classes
        fcs[ size ] = fc;
        // increment the size so that when we add another fare class later, we will not over ride other fare classes
        size ++;
    }
    
    
    public FareClass getFareClass ( int fc )
    {
        return fcs[ fc ];
    }
    
    
    public int getNoFareClasses()
    {
        return fcs.length;
    }
    
    
    public static FareClassKeeper instance()
    {
        return instance;
    }
}

