package RevenueManagement.SingleLeg.General;

import java.io.*;

// this class keeps global parameters for the problem
// the only global parameter is the capacity on the flight
public class GlobalParamsKeeper 
{
    // capacity on the flight
    int capacity;
    // used to output information in a file
    File outFile;
    PrintWriter outWriter;
    static GlobalParamsKeeper instance;
    
    public GlobalParamsKeeper ()
    {
        instance = this;
    }
    
    
    public void setCapacity ( int capacity_ )
    {
        capacity = capacity_;
    }
    
    
    public void setFile ( File outFile_ )
    {
        outFile = outFile_;
        try
        {
            outWriter = new PrintWriter( new BufferedWriter ( new OutputStreamWriter ( new FileOutputStream ( outFile ) ) ) );
        }
        catch ( IOException e )
        {
            throw new Error ( e.getClass() + " " + e.getMessage() );
        }
    }
    
    
    public int getCapacity()
    {
        return capacity;
    }
    
    
    public PrintWriter getOutWriter()
    {
        return outWriter;
    }
    
    
    public static GlobalParamsKeeper instance()
    {
        return instance;
    }
}
